Kerbal Space Program - Bug #22300

Clipping when warping with unlocked claw gimbal
05/16/2019 05:38 AM - ancassid

Status: Confirmed Start date: 05/16/2019
Severity: Low % Done: 10%
Assignee: victorr

Category: Parts

Target version:

Version: 1.71 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

When warping with an unlocked claw gimbal, the gimbal will not limit to the normal 30° angle once returning to 1x speed, allowing
the ship to clip into what its grappled to.

reproduction steps:

e grapple to target
¢ unlock the claw rotation
e rotate the ship to hit the 30° limit (may not be necessary?)
« start time warp
+ stop time warp
« unlock claw rotation again
« vehicle is now able to clip into itself

History

#1 - 05/17/2019 07:15 PM - ancassid

After some more testing, it appears this happens any time loading the vessel as well. revised reproduction steps:

e grapple to target

¢ unlock the claw rotation

e rotate the claw by any amount

® either warp, or go to the space center, or quit the game after saving
e stop warp or reload the vessel

e unlock claw rotation again

¢ claw can now gimbal 360° and clip into itself

#2 - 06/09/2019 05:42 AM - ancassid

- Version changed from 1.7.0 to 1.7.1

#3 - 11/04/2019 08:49 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10
